<?php
/*
 * config.inc.php
 *
 * PHP Toolkit for PayPal v0.51
 * http://www.paypal.com/pdn
 *
 * Copyright (c) 2004 PayPal Inc
 *
 * Released under Common Public License 1.0
 * http://opensource.org/licenses/cpl.php
 *
 */

// CONFIG SETTINGS
$paypal[image_url]                = '';
$paypal[notify_url]               = 'rezgo/php_paypal/ipn/ipn.php';
$paypal[return_method]            = '2'; //1=GET 2=POST
$paypal[lc]                       = 'US';

// PAYPAL ENVIRONMENT
$paypal[url]                      = 'https://www.paypal.com/cgi-bin/webscr';
$paypal[post_method]              = 'fso'; //fso=fsockopen(); curl=curl command line libCurl=php compiled with libCurl support
$paypal[curl_location]            = '/usr/local/bin/curl';
$paypal[bn]                       = 'Rezgocom_SP_PPS';
$paypal[cmd]                      = '_xclick';

// PAYMENT PAGE SETTINGS
$paypal[display_comment]          = '0'; //0=yes 1=no
$paypal[comment_header]           = 'Comments';
$paypal[continue_button_text]     = 'Click here to complete your booking';//'Continue >>';
$paypal[background_color]         = ''; //''=white 1=black
$paypal[display_shipping_address] = '1'; //''=yes 1=no
$paypal[display_comment]          = '1'; //''=yes 1=no

// PRODUCTS SETTINGS
$paypal[edit_quantity]            = ''; //1=yes ''=no

// SHIPPING AND TAXES
$paypal[shipping_amount_per_item] = '';
$paypal[handling_amount]          = '';

// POST DATA SANITIZATION
$arr = array(
  'business', 
  'site_url', 
  'cancel_url', 
  'encoded_transaction_id', 
  'currency_code',
  'item_name', 
  'item_number', 
  'amount', 
  'on0', 
  'os0', 
  'on1', 
  'os1', 
  'quantity', 
  'item_number', 
  'tax',
  'firstname', 
  'lastname', 
  'address1', 
  'address2', 
  'city', 
  'state', 
  'country', 
  'zip', 
  'email', 
  'phone', 
  'phone2', 
  'phone3',
  'shipping_amount', 
  'custom'
);

foreach ($arr as $val) {
  $paypal[$val] = '';

  if (isset($_POST[$val])) {
    $paypal[$val] = mysql_real_escape_string($_POST[$val]);
  }
  
  if ($val == 'site_url') {    
    if (isset($_POST['domain'])) {
      $domain = mysql_real_escape_string($_POST['domain']);
      $paypal['site_url'] = mysql_real_escape_string('https://'.$domain.'/');
    }
  }
  
  if ($val == 'cancel_url') {
    if (isset($_POST[cancel_return])) {
      if (filter_var($_POST[cancel_return], FILTER_VALIDATE_URL)) {
        $paypal[cancel_url] = $_POST[cancel_return];
      }
    }
  }

  if ($val == 'encoded_transaction_id') {
    if (isset($_POST[encoded_transaction_id])) {
      $paypal[success_url] = 'complete/' . mysql_real_escape_string($_POST[encoded_transaction_id]);
    }
  }
  
  if ($val == 'currency_code') {
    $currencyOptions = array('USD','GBP','JPY','CAD','EUR');
    $paypal['currency_code'] = $currencyOptions[0];
    if (isset($_POST['currency_code'])) {
      if (in_array($_POST['currency_code'], $currencyOptions)) {
        $paypal['currency_code'] = $_POST['currency_code'];
      }
    }
  }

  if ($val == 'custom') {
    if (isset($_POST['paypal_signature'])) {
      $paypal[$val] = mysql_real_escape_string($_POST['paypal_signature']);
    }
  }
  
  if ($val == 'email') {
    if (isset($_POST[$val])) {
      $paypal[$val] = mysql_real_escape_string($_POST[$val]);
    }
    
  }
}
?>